/**
 *
 * Table
 *
 */
import { FC } from 'react';
import { Column } from 'react-table';
interface Props<T extends object = {}> {
    columns: Array<string | Column<T>>;
    data: Array<T>;
    onRowClick?: (data: any) => void;
    onRowUpdate?: (data: any) => void;
    onRowDelete?: (data: any) => void;
    isSelected?: (cell: T) => boolean;
    editable?: boolean;
    searchQuery?: string;
    rowStyles?: string;
    tableStyles?: string;
    rowId?: string;
    onBottom?: () => void;
    columnsWidth?: Array<'auto' | number>;
}
declare const Table: FC<Props>;
export default Table;
