import { ReactElement } from 'react';
export declare type DatePickerValue = Date | null | undefined;
export interface DatePickerProps {
    onChange: (value: DatePickerValue) => void;
    customInput?: ReactElement;
    value: DatePickerValue;
    onBlur?: () => void;
    showTimeSelect?: boolean;
    showTimeSelectOnly?: boolean;
    timeIntervals?: number;
    dateFormat?: string;
    timeCaption?: string;
}
